Subject: SDP> RE: IPP> Charter eyeglasses

From: "Zehler, Peter " <[email-masked]>
Date: Fri, 17 Apr 1998 04:48:48 PDT

All,
   I also believe it would be a mistake to create yet another protocol for
printing.  Some issues have been identified as shortcomings in the current
IPP mapping.  Those issues should be addressed.  There are, of course, a
number of ways to address them.  We also have need of a richer printer model
as we move IPP forward to monitor and control a print device.  We already
have a widely deployed model, the printer MIB.
   I do not believe IPP is unreasonable to embed in a device.  We should
keep the mandatory features focused on basic needs.  This approach allows
the model and protocol to scale.  As of yet I have no trouble implementing
IPP in a lower end device.
Pete
Peter Zehler
XEROX
Networked Products Business Unit
Email: [email-masked]
Voice:    (716) 265-8755
FAX:      (716) 265-8792 
US Mail: Peter Zehler
	        Xerox Corp.
	        800 Phillips Rd.
	        M/S 111-02J
	        Webster NY, 14580-9701

	-----Original Message-----
	From:	Robert Herriot [SMTP:[email-masked]]
	Sent:	Thursday, April 16, 1998 3:41 PM
	To:	Harry Lewis; [email-masked]
	Cc:	[email-masked]; [email-masked]
	Subject:	Re: IPP> Charter eyeglasses

	I agree with  Scott's interpretation.  I think we chartered IPP to
solve 
	communication among clients, servers and printers, not just between
end 
	users and print servers.

	I am concerned that SDP is a big mistake and will create yet another

	protocol, incompatible with all others including IPP. I think that
it is 
	reasonable to borrow ideas from other protocols, such as TIPSI, but
I think 
	we should continue along the IPP path we started.

	If IPP is not a reasonable embedded solution, I wonder why we are
just now 
	hearing that, nearly a year after we decided on the encoding.  If
IPP is 
	really such a bad embedded solution, perhaps we should fix it before
we all 
	commit to supporting it and end up with support for both IPP and
SDP.

	Bob Herriot

	At 07:04 AM 4/16/98 , Harry Lewis wrote:
	>Scott, I agree with your interpretation 100% and believe this is
the only
	valid
	>interpretation. Otherwise, I think the overall charter would have
been way
	too
	>limiting - even if this is where we ended up for v1. I put the
emphasis there
	>to show how I think some must be reading the charter and the
conclusions they
	>must have made.
	>
	>Harry Lewis - IBM Printing Systems
	>
	>
	>
	>
	>[email-masked] on 04/15/98 08:15:10 PM
	>Please respond to [email-masked]
	>To: Harry Lewis/Boulder/IBM@ibmus, [email-masked], [email-masked]
	>cc:
	>Subject: Re: IPP> Charter eyeglasses
	>
	>
	>Harry,
	>
	>When I read:
	>
	>>>> Harry Lewis <[email-masked]> 04/15/98 04:24PM >>>
	>>The Internet Print Protocol is a CLIENT-SERVER type protocol which
	>>should allow the server side to be either a separate print server
or
	>>a printer with embedded networking capabilities.
	>
	>I assume CLIENT/SERVER in the distributed systems architecture
sense
	>NOT in the literal CLIENT = PC and SERVER = file server/printer
server
	hardware
	>box sense.  I see client/server meaning request/response rather
than
	distribute
	>object
	>remote methods, IIOP, RMI stuff.
	>
	>In other workds, I am not confused into thinking end-user to file
server only
	>(not server
	>to device) when I see the term "client/server"
	>
	>Good reading of the charter thought, very helpful.
	>
	>Scott
	>